From 8e1e6ac25cf899cf7030f11b6096b991ad261381 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 27 2020 05:13:31 +0000
Subject: [PATCH 696/2232] Extend exception message from Vec<T>::at


---

diff --git a/include/cxx.h b/include/cxx.h
index d3f6238..90c0524 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -481,8 +481,9 @@ const T &Vec<T>::operator[](size_t n) const noexcept {
 
 template <typename T>
 const T &Vec<T>::at(size_t n) const {
-  if (n >= this->size())
-    panic<std::out_of_range>("Vec");
+  if (n >= this->size()) {
+    panic<std::out_of_range>("rust::Vec index out of range");
+  }
   return (*this)[n];
 }
 
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 4ab407b..682b9c9 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -213,7 +213,7 @@ void c_take_rust_vec_index(rust::Vec<uint8_t> v) {
   try {
     v.at(100);
   } catch (const std::out_of_range &ex) {
-    std::string expected = "Vec";
+    std::string expected = "rust::Vec index out of range";
     if (ex.what() == expected) {
       cxx_test_suite_set_correct();
     }

